> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel batch of email validations

> Cancel batch of email validations



## OpenAPI

````yaml patch /email-validations/{id}
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /email-validations/{id}:
    parameters:
      - name: id
        in: path
        required: true
        description: Batch id
        schema:
          type: string
      - name: page[size]
        in: query
        required: false
        description: Page size
        schema:
          type: string
      - name: page[after]
        in: query
        required: false
        description: Page after
        schema:
          type: string
      - name: page[before]
        in: query
        required: false
        description: Page before
        schema:
          type: string
    patch:
      tags:
        - Email Validation
      summary: Cancel batch of email validations
      description: Cancel batch of email validations
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - status
              additionalProperties: false
              properties:
                status:
                  type: string
                  enum:
                    - canceled
        required: true
        description: New batch status
      responses:
        '200':
          description: Successful
          content:
            application/json:
              examples:
                Successful:
                  value:
                    id: 019e8e97-214c-782c-bf1a-5f04ef81ddd1
                    object: email_validation
                    status: canceled
                    results: []
                    _links:
                      self:
                        href: >-
                          /email-validations/019e8e97-214c-782c-bf1a-5f04ef81ddd1
              schema:
                $ref: '#/components/schemas/response_email_validation_object'
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Missing field:
                  value:
                    _errors:
                      - code: missing_field
                        title: Missing Field
                        detail: 'Missing field for request: status'
                        source:
                          pointer: /status
                    _links:
                      self:
                        href: >-
                          /email-validations/019e8e97-2232-7533-80d9-e66e38cb0269
                    object: error
                Unsupported value:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: >-
                          You used status 'error' when only 'canceled' is
                          accepted.
                        source:
                          pointer: /status
                    _links:
                      self:
                        href: >-
                          /email-validations/019e8e97-22d2-7738-98d3-3e8057a51709
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '404':
          description: Not found
          content:
            application/json:
              examples:
                Not found:
                  value:
                    _errors:
                      - code: not_found
                        title: Not Found
                        detail: Could not find email validation.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_email_validation_object:
      type: object
      required:
        - id
        - object
        - status
        - results
        - _links
      additionalProperties: false
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - email_validation
        status:
          type: string
          enum:
            - queued
            - processing
            - completed
            - canceled
            - error
        results:
          type: array
          items:
            $ref: '#/components/schemas/response_email_validation_result_object'
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_email_validation_result_object:
      type: object
      required:
        - object
        - email
        - result
        - catch_all
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - email_validation_result
        email:
          type: string
          format: email
        result:
          type: string
          enum:
            - deliverable
            - risky
            - undeliverable
            - unknown
        catch_all:
          type: boolean
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````